package bilancr;

import java.io.File;
import java.math.BigDecimal;
import java.util.Date;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Before;

public class PrvaPolozkaTest {
    private PolozkaDao polozkaDao;
    private File subor;
    
    @Before
    public void setUp() {
        polozkaDao = new SuborovaPolozkaDao();
        subor = new File("polozky.txt");
    }
    
    
    @Test
    public void testZadajPrvuPolozku() {
        Polozka polozka = new Polozka();
        polozka.setNazov("raňajky");
        polozka.setCena(new BigDecimal(0.55));
        polozka.setKategoria(Kategoria.JEDLO);
        polozka.setCasTransakcie(new Date(112, 9, 17));
        
        PolozkaDao polozkaDao = new SuborovaPolozkaDao();
        polozkaDao.uloz(polozka);
        
        assertTrue(subor.exists() && subor.length() > 0);
    }
    
    @Test
    public void testZadajDvePolozky() {
        Polozka polozka1 = new Polozka();
        polozka1.setNazov("raňajky");
        polozka1.setCena(new BigDecimal(0.55));
        polozka1.setKategoria(Kategoria.JEDLO);
        polozka1.setCasTransakcie(new Date(112, 9, 17));

        Polozka polozka2 = new Polozka();
        polozka2.setNazov("obed");
        polozka2.setCena(new BigDecimal(2.20));
        polozka2.setKategoria(Kategoria.JEDLO);
        polozka2.setCasTransakcie(new Date(112, 9, 17));
        
        polozkaDao.uloz(polozka1);
        
        long dlzka1 = subor.length();        

        polozkaDao.uloz(polozka2);
        
        long dlzka2 = subor.length();        
        
        assertTrue(dlzka2 > dlzka1);
    }
}
